> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modelslab.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Server

> This endpoint is used to update your dedicated server.

## Overview[​](#overview "Direct link to Overview")

This endpoint is used to update your dedicated server. As a response you will receive information about the result of the update command.

## Request[​](#request "Direct link to Request")

```
--request POST 'https://modelslab.com/api/v1/enterprise/image_to_video_ultra/update_server' \
```

Send a `POST` request to [https://modelslab.com/api/v1/enterprise/image\_to\_video\_ultra/update\_server](https://modelslab.com/api/v1/enterprise/image_to_video_ultra/update_server) endpoint to update your dedicated server.

## Attributes[​](#attributes "Direct link to Attributes")

| Parameter | Description                                             |
| :-------- | :------------------------------------------------------ |
| **key**   | Your enterprise API Key used for request authorization. |

## Example[​](#example "Direct link to Example")

### Body[​](#body "Direct link to Body")

Body Raw

```
{ "key": "enterprise_api_key"}
```

### Request[​](#request-1 "Direct link to Request")

* JS
* PHP
* NODE
* PYTHON
* JAVA

```
var myHeaders = new Headers();myHeaders.append("Content-Type", "application/json");var raw = JSON.stringify({ "key": ""});var requestOptions = {  method: 'POST',  headers: myHeaders,  body: raw,  redirect: 'follow'};fetch("https://modelslab.com/api/v1/enterprise/image_to_video_ultra/update_server", requestOptions)  .then(response => response.text())  .then(result => console.log(result))  .catch(error => console.log('error', error));
```

```
<?php$payload = [  "key" => ""];$curl = curl_init();curl_setopt_array($curl, array(  CURLOPT_URL => 'https://modelslab.com/api/v1/enterprise/image_to_video_ultra/update_server',  CURLOPT_RETURNTRANSFER => true,  CURLOPT_ENCODING => '',  CURLOPT_MAXREDIRS => 10,  CURLOPT_TIMEOUT => 0,  CURLOPT_FOLLOWLOCATION => true,  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,  CURLOPT_CUSTOMREQUEST => 'POST',  CURLOPT_POSTFIELDS => json_encode($payload),  CURLOPT_HTTPHEADER => array(    'Content-Type: application/json'  ),));$response = curl_exec($curl);curl_close($curl);echo $response;
```

```
var request = require('request');var options = {  'method': 'POST',  'url': 'https://modelslab.com/api/v1/enterprise/image_to_video_ultra/update_server',  'headers': {    'Content-Type': 'application/json'  },  body: JSON.stringify({    "key": ""  })};request(options, function (error, response) {  if (error) throw new Error(error);  console.log(response.body);});
```

```
import requestsimport jsonurl = "https://modelslab.com/api/v1/enterprise/image_to_video_ultra/update_server"payload = json.dumps({ "key": ""})headers = {  'Content-Type': 'application/json'}response = requests.request("POST", url, headers=headers, data=payload)print(response.text)
```

```
OkHttpClient client = new OkHttpClient().newBuilder()  .build();MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{\n    \"key\": \"\"\n}");Request request = new Request.Builder()  .url("https://modelslab.com/api/v1/enterprise/image_to_video_ultra/update_server")  .method("POST", body)  .addHeader("Content-Type", "application/json")  .build();Response response = client.newCall(request).execute();
```

### Response[​](#response "Direct link to Response")

```
{  "message": "server updating",  "status": "success"}
```


## OpenAPI

````yaml POST /image_to_video_ultra/update_server
openapi: 3.0.0
info:
  title: ModelsLab Enterprise Video API
  version: 1.0.0
  description: API for managing enterprise Video server operations.
servers:
  - url: https://modelslab.com/api/v1/enterprise
security: []
paths:
  /image_to_video_ultra/update_server:
    post:
      summary: 'Enterprise: Update Server Endpoint'
      description: >-
        This endpoint is used to update your dedicated server. As a response you
        will receive information about the result of the update command.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiKey'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse'
        '401':
          description: Unauthorized - Invalid API Key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ApiKey:
      type: object
      properties:
        key:
          type: string
          description: Your API key
      required:
        - key
    GenericResponse:
      type: object
      properties:
        status:
          type: string
          example: success
        message:
          type: string
          example: Operation completed successfully
    ErrorResponse:
      type: object
      properties:
        status:
          type: string
          example: error
        message:
          type: string
          example: Error message

````